Synnefo - Bug # 3522

Status: Closed Priority: Medium

Author: Christos Stavrakakis Category:

Created: 04/01/2013 Assignee: Christos Stavrakakis
Updated: 02/26/2014 Due date:

Subject: Delete images from plankton

Description

Currenty, deleting an Image from plankton results in deletion of the Image
from Pithos.

Fix: Do not delete the Image from Pithos. Instead, just remove all the metadata
from domain 'plankton’.

Related issues:
duplicated by Synnefo - Bug # 3355: Unregister images Closed

03/01/2013

Associated revisions

Revision f13aab5d - 04/02/2013 01:49 pm - Christos Stavrakakis
Delete Image without deleting file from Pithos

Until now, deleting an image resulted in deletion of the corresponding

file from Pithos. Plankton Images are files in Pithos with special

metadata on the 'plankton' metadata domain. Adding an Image to plankton
is equivalent with adding some special metadata in this domain. In the
same way, this commit implements Image deletion by deleting these

metadata, and retaining the original file in Pithos.

Refs #3522

Revision 22b5ac0b - 04/22/2013 10:10 am - Christos Stavrakakis

plankton: Correct image unregister

Correct usage of 'update_object_meta' function to remove all metadata
from plankton domain. Use an empty dictionary with replace=True.

Refs #3522

History

#1 - 04/23/2013 02:29 pm - Christos Stavrakakis
- Status changed from New to Feedback
- % Done changed from 0 to 100

#2 - 02/26/2014 05:32 pm - Christos Stavrakakis
- Status changed from Feedback to Closed
